#!/bin/bash
#
# LG G Watch Utility for Linux and OSX
# Ported from RootsJunky
 
 
 
# Lets check what platform we are running on
# We will check what we are running on and then set some variables for some funtimes
function platform
{
        platform=`uname`
        if [ $(uname -p) = 'powerpc' ]; then
        echo "[-] PowerPC is not supported."
        exit 1
        fi
 
        if [ "$platform" = 'Darwin' ]; then
        ADB="./adbosx"
        FASTBOOT="./fastbootosx"
        version="OS X"
        else
        ADB="./adblinux"
        FASTBOOT="./fastbootlinux"
        version="Linux"
               
        fi
}
 
platform
 
 
echo "__________________________________________________"
echo [*] Simple Gear Live Watch Tool
echo [*] Linux / OSX Version
echo [*] Remember to chmod +x this script
echo [*] Ported by @rhcp011235
echo "--------------------------------------------------"
echo "What would you like to do:"
echo "Your choices are: unlock / relock / temproot / restore / twrp "
echo "enter your choice"
read choice
if [ "$choice" = "unlock" ]; then
        echo "--------------------------------------------------------------------------------"
        echo [*] Before continuing, ensure USB debugging is enabled,
        echo [*] device settings/about then click on build number 10 times
        echo [*] back to settings/developer options enable usb debugging
        echo [*] have the Universal drivers installed and your G Watch
        echo [*] connected via USB charging dock to the computer
        echo [*] WARNING THIS WILL FACTORY RESET YOUR DEVICE
        echo --------------------------------------------------------------------------------
        read -rsp $'PRESS ENTER to continue...\r\n'
        $ADB kill-server
        $ADB wait-for-device
        echo [*] Device found.
        $ADB reboot bootloader
        echo --------------------------------------------------------------------------------
        $FASTBOOT oem unlock
        echo --------------------------------------------------------------------------------
        echo [*] First boot will take up to 10 minutes and boot twice.
        echo --------------------------------------------------------------------------------
        $FASTBOOT reboot
        read -rsp $'PRESS ENTER to exit...\r\n'
        exit
        elif [ "$choice" = "relock" ]; then
                echo --------------------------------------------------------------------------------
                echo [*] Before continuing, ensure USB debugging is enabled,
                echo [*] device settings/about then click on build number 10 times
                echo [*] back to settings/developer options enable usb debugging
                echo [*] have the drivers installed and your Gear live Watch
                echo [*] connected via USB charging dock to the computer
                echo --------------------------------------------------------------------------------
                read -rsp $'PRESS ENTER to continue...\r\n'
                $ADB kill-server
                $ADB wait-for-device
                $ADB reboot bootloader
                $FASTBOOT oem lock
                echo --------------------------------------------------------------------------------
                echo [*] First boot will take up to 5 minutes
                echo --------------------------------------------------------------------------------
                echo [*] press any key to reboot the device once locked.
                read -rsp $'PRESS ENTER to continue...\r\n'
                $FASTBOOT reboot
                echo DONE
                read -rsp $'PRESS ENTER to exit...\r\n'
                exit
        elif [ "$choice" = "temproot" ]; then
                echo --------------------------------------------------------------------------------
                echo [*] Big thanks to adam for Modded boot image
                echo [*] Make sure USB Debugging is enabled on your watch
				echo [*] this will boot a root boot img and you will be in 
				echo [*] bootloader mode but adb root commands will work.
				echo [*] once you are done with temp root give the device
				echo [*] a adb reboot command. if you dont know how to us
				echo [*] a command window dont use this root method
                echo --------------------------------------------------------------------------------
                read -rsp $'PRESS ENTER to continue...\r\n'
                echo [*]
                echo [*] waiting for device
                $ADB wait-for-device...
                $ADB reboot bootloader
                $FASTBOOT boot rootadb.img
                echo --------------------------------------------------------------------------------
                echo [*] to test root on your watch open a commadn window
                echo [*] type = adb shell
                echo [*] if it returns
                echo [*] #<-[6n
                echo [*] then you have root access
                echo ---------------------------------------------------------------------------------
                echo DONE
                read -rsp $'PRESS ENTER to exit...\r\n'
                exit
        elif [[ "$choice" = "restore" ]]; then
                echo --------------------------------------------------------------------------------
                echo [*] Restore G watch to stock to fix a brick or just return to stock
                echo [*] After restore runs you will boot to recovery where you can either
                echo [*] reboot the device or do a factory reset
                echo [*] Before continuing, ensure your LG G Watch is in
                echo [*] "Fastboot" mode and connected via USB with the drivers installed.
                echo --------------------------------------------------------------------------------
                echo [*] Before continuing, ensure your device is in bootloader
				echo [*] mode. to get into bootloader mode hold the power button on the side
				echo [*] and wait for the device to restart. Keep Holding the power button 
				echo [*] once you see the Samsung Gear Live Logo swipe your finger from
				echo [*] top left corner of the screen bottom right corner and the 
				echo [*] bootloader screen will pop up. Now you can restore. 
				echo [*] Note you may have to swipe a couple times
                echo --------------------------------------------------------------------------------
                echo [*] Another option to enter bootloader mode is to open a command
                echo [*] window and type adb reboot bootloader. only if the device is on.
                echo --------------------------------------------------------------------------------
                read -rsp $'PRESS ENTER to continue...\r\n'
                $ADB kill-server
                $ADB reboot bootloader
                $FASTBOOT devices
                $FASTBOOT flash system 42Nsystem.img
                $FASTBOOT flash boot 42Nboot.img
                $FASTBOOT flash recovery 42Nrecovery.img
                echo --------------------------------------------------------------------------------
				echo [*] swipe down to recovery then swipe right to
				echo [*] boot recovery to factory reset the device
				echo [*] In recovery you will see a android guy on his back
				echo [*] swipe from top left and bottom right of screen again
				echo [*] to enter recovery menu. now scroll up and down and swipe
				echo [*] right to select factory reset. when done in recovery just reboot.
                echo --------------------------------------------------------------------------------
                echo [*] If you dont want to factory reset just press the circle button
                echo [*] I recommend fastory resetting device at this time.
                echo --------------------------------------------------------------------------------
                read -rsp $'PRESS ENTER to exit...\r\n'
                exit
        elif [[ "$choice" = "twrp" ]]; then
                echo --------------------------------------------------------------------------------
                echo [*] This will flash Team win / TWRP recovery
                echo [*] to your device from fastboot.
                echo --------------------------------------------------------------------------------
                read -rsp $'PRESS ENTER to continue...\r\n'
                echo [*] waiting for device
                $ADB wait-for-device
                echo [*] device found
                $ADB reboot bootloader
                $FASTBOOT flash recovery openrecovery-twrp-2.7.1.2-sprat.img
                echo --------------------------------------------------------------------------------
                echo [*] your device is on the boot menu screen now scoll to Recovery
				echo [*] with a swipe down and select with a swipe right to boot to recovery
                echo --------------------------------------------------------------------------------
                echo [*] If you want to keep TWRP recovery installed after
                echo [*] a reboot select reboot then system and choose yes
                echo [*] to keeping TWRP recovery.
                echo --------------------------------------------------------------------------------
                echo [*] RootJunky OUT 
                read -rsp $'PRESS ENTER to exit...\r\n'
                exit
        fi